## calligra 2.7.0

=== debian/changelog ===
calligra (1:2.7.0-0ubuntu3) saucy; urgency=low

  * No-change rebuild for new poppler ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 30 Jul 2013 17:33:25 +0000

calligra (1:2.7.0-0ubuntu2) saucy; urgency=low

  * Sort install files to match Debian
  * Add qreal_double.patch to fix build on armhf

 -- Scott Kitterman <scott@kitterman.com>  Fri, 19 Jul 2013 23:46:46 -0400

calligra (1:2.7.0-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Add kubuntu_release_type.diff, fix the new release mode detection
    for the "Debian" release mode
  * calligraplan recommends default-jre for MS Plan import

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Jul 2013 21:04:05 +0000

calligra (1:2.6.92-0ubuntu8) saucy; urgency=low

  * Add debian/patches/fix_implicit_coercion.diff to fix FTBFS on armhf
    - Thanks to Michael D. Stemle, Jr for the patch

 -- Scott Kitterman <scott@kitterman.com>  Thu, 27 Jun 2013 11:17:39 -0400

calligra (1:2.6.92-0ubuntu7) saucy; urgency=low

  * Edit debian/control to make krita-data break krita (<< 2.6.92)
    to stop installation errors. 

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 26 Jun 2013 22:40:59 +0800

calligra (1:2.6.92-0ubuntu6) saucy; urgency=low

  * libglew-dev build-dep not on armel,armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Jun 2013 12:42:34 +0100

calligra (1:2.6.92-0ubuntu5) saucy; urgency=low

  * Bump replaces/breaks for moved files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jun 2013 15:33:47 +0100

calligra (1:2.6.92-0ubuntu4) saucy; urgency=low

  * Update kubuntu_arm_cast.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jun 2013 13:48:34 +0100

calligra (1:2.6.92-0ubuntu3) saucy; urgency=low

  * Add kubuntu_arm_cast.diff to fix compile on arm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 15:26:29 +0100

calligra (1:2.6.92-0ubuntu2) saucy; urgency=low

  * Install some plugins lost in not-installed
  * Don't use opencolorio on arm or powerpc, it does not exist there

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Jun 2013 13:57:42 +0100
