=== 3rdparty/CMakeLists.txt ===
if (SHOULD_BUILD_LIB_KDGANTT)
    add_subdirectory(kdgantt)
endif (SHOULD_BUILD_LIB_KDGANTT)

if (SHOULD_BUILD_LIB_KDCHART)
    add_subdirectory(kdchart)
endif (SHOULD_BUILD_LIB_KDCHART)
