=== interfaces/CMakeLists.txt ===
install(FILES KoGenericRegistry.h KoID.h KoChartInterface.h KoChartModel.h
        DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)
