=== flow/stencils/CMakeLists.txt ===
file(GLOB Map_Stencils "Map/*.odg" "Map/*.desktop" "Map/*.png")
file(GLOB Electronic_Stencils "Electronic/*.odg" "Electronic/*.desktop" "Electronic/*.png")
file(GLOB Network_Stencils "Network/*.odg" "Network/*.desktop" "Network/*.png")
file(GLOB MSE_Stencils "MSE/*.odg" "MSE/*.desktop" "MSE/*.png")
file(GLOB Logic_Stencils "Logic/*.odg" "Logic/*.desktop" "Logic/*.png")
file(GLOB Value_Stream_Mapping_Stencils "Value_Stream_Mapping/*.odg" "Value_Stream_Mapping/*.desktop" "Value_Stream_Mapping/*.png")
file(GLOB BPMN_Stencils "BPMN/*.odg" "BPMN/*.desktop" "BPMN/*.png")
file(GLOB Flags_Stencils "Flags/*.odg" "Flags/*.desktop" "Flags/*.png")
file(GLOB Assorted_Stencils "Assorted/*.odg" "Assorted/*.desktop" "Assorted/*.png")
file(GLOB Edpc_Stencils "Edpc/*.odg" "Edpc/*.desktop" "Edpc/*.png")
file(GLOB Central_Data_Processing_Stencils "Central_Data_Processing/*.odg" "Central_Data_Processing/*.desktop" "Central_Data_Processing/*.png")
file(GLOB Optics_Stencils "Optics/*.odg" "Optics/*.desktop" "Optics/*.png")
file(GLOB Scenegraph_Stencils "Scenegraph/*.odg" "Scenegraph/*.desktop" "Scenegraph/*.png")
file(GLOB Cisco_Stencils "Cisco/*.odg" "Cisco/*.desktop" "Cisco/*.png")
file(GLOB Circuit_Stencils "Circuit/*.odg" "Circuit/*.desktop" "Circuit/*.png")
file(GLOB Pneumatic_Stencils "Pneumatic/*.odg" "Pneumatic/*.desktop" "Pneumatic/*.png")
file(GLOB Misc_Stencils "Misc/*.odg" "Misc/*.desktop" "Misc/*.png")
file(GLOB ChemEng_Stencils "ChemEng/*.odg" "ChemEng/*.desktop" "ChemEng/*.png")
file(GLOB Building_Site_Stencils "Building_Site/*.odg" "Building_Site/*.desktop" "Building_Site/*.png")
file(GLOB Gane_and_Sarson_Stencils "Gane_and_Sarson/*.odg" "Gane_and_Sarson/*.desktop" "Gane_and_Sarson/*.png")
file(GLOB Civil_Stencils "Civil/*.odg" "Civil/*.desktop" "Civil/*.png")
file(GLOB Cybernetics_Stencils "Cybernetics/*.odg" "Cybernetics/*.desktop" "Cybernetics/*.png")
file(GLOB LST_Stencils "LST/*.odg" "LST/*.desktop" "LST/*.png")
file(GLOB Circuit2_Stencils "Circuit2/*.odg" "Circuit2/*.desktop" "Circuit2/*.png")
file(GLOB Electric_Stencils "Electric/*.odg" "Electric/*.desktop" "Electric/*.png")
file(GLOB Lights_Stencils "Lights/*.odg" "Lights/*.desktop" "Lights/*.png")
file(GLOB CMOS_Stencils "CMOS/*.odg" "CMOS/*.desktop" "CMOS/*.png")
file(GLOB SDL_Stencils "SDL/*.odg" "SDL/*.desktop" "SDL/*.png")
file(GLOB RDP_Stencils "RDP/*.odg" "RDP/*.desktop" "RDP/*.png")
file(GLOB Contact_Stencils "Contact/*.odg" "Contact/*.desktop" "Contact/*.png")
file(GLOB Digital_Stencils "Digital/*.odg" "Digital/*.desktop" "Digital/*.png")
file(GLOB Renewable_Energy_Stencils "Renewable_Energy/*.odg" "Renewable_Energy/*.desktop" "Renewable_Energy/*.png")
file(GLOB Chemistry_Lab_Stencils "Chemistry_Lab/*.odg" "Chemistry_Lab/*.desktop" "Chemistry_Lab/*.png")
file(GLOB Gradient_Stencils "Gradient/*.odg" "Gradient/*.desktop" "Gradient/*.png")
file(GLOB Electric2_Stencils "Electric2/*.odg" "Electric2/*.desktop" "Electric2/*.png")
file(GLOB Basic_Flowchart_Stencils "Basic_Flowchart/*.odg" "Basic_Flowchart/*.desktop" "Basic_Flowchart/*.png")
file(GLOB Sybase_Stencils "Sybase/*.odg" "Sybase/*.desktop" "Sybase/*.png")
file(GLOB Racks_Stencils "Racks/*.odg" "Racks/*.desktop" "Racks/*.png")
file(GLOB Jigsaw_Stencils "Jigsaw/*.odg" "Jigsaw/*.desktop" "Jigsaw/*.png")


install( FILES ${Map_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Map)
install( FILES ${Electronic_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Electronic)
install( FILES ${Network_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Network)
install( FILES ${MSE_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/MSE)
install( FILES ${Logic_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Logic)
install( FILES ${Value_Stream_Mapping_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Value_Stream_Mapping)
install( FILES ${BPMN_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/BPMN)
install( FILES ${Flags_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Flags)
install( FILES ${Assorted_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Assorted)
install( FILES ${Edpc_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Edpc)
install( FILES ${Central_Data_Processing_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Central_Data_Processing)
install( FILES ${Optics_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Optics)
install( FILES ${Scenegraph_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Scenegraph)
install( FILES ${Cisco_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Cisco)
install( FILES ${Circuit_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Circuit)
install( FILES ${Pneumatic_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Pneumatic)
install( FILES ${Misc_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Misc)
install( FILES ${ChemEng_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/ChemEng)
install( FILES ${Building_Site_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Building_Site)
install( FILES ${Gane_and_Sarson_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Gane_and_Sarson)
install( FILES ${Civil_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Civil)
install( FILES ${Cybernetics_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Cybernetics)
install( FILES ${LST_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/LST)
install( FILES ${Circuit2_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Circuit2)
install( FILES ${Electric_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Electric)
install( FILES ${Lights_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Lights)
install( FILES ${CMOS_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/CMOS)
install( FILES ${SDL_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/SDL)
install( FILES ${RDP_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/RDP)
install( FILES ${Contact_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Contact)
install( FILES ${Digital_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Digital)
install( FILES ${Renewable_Energy_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Renewable_Energy)
install( FILES ${Chemistry_Lab_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Chemistry_Lab)
install( FILES ${Gradient_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Gradient)
install( FILES ${Electric2_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Electric2)
install( FILES ${Basic_Flowchart_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Basic_Flowchart)
install( FILES ${Sybase_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Sybase)
install( FILES ${Racks_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Racks)
install( FILES ${Jigsaw_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Jigsaw)
