=== debian/changelog ===
calligra (1:2.7.1-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1207172)
  * Drop qreal_double.patch as it is included in upstream
  * Fix multiple install files

 -- Howard Chan <smartboyhw@gmail.com>  Thu, 01 Aug 2013 12:22:07 +0800
